searchData={"content_type":"text/markdown","items":[{"doc":"The entrypoint for defining your web interface, such\nas controllers, views, channels and so on.\n\nThis can be used in your application as:\n\n    use ArkeServer, :controller\n    use ArkeServer, :view\n\nThe definitions below will be executed for every view,\ncontroller, etc, so keep them short and clean, focused\non imports, uses and aliases.\n\nDo NOT define functions inside the quoted expressions\nbelow. Instead, define any helper function in modules\nand import those modules here.","ref":"ArkeServer.html","title":"ArkeServer","type":"module"},{"doc":"When used, dispatch to the appropriate controller/view/etc.","ref":"ArkeServer.html#__using__/1","title":"ArkeServer.__using__/1","type":"macro"},{"doc":"","ref":"ArkeServer.html#channel/0","title":"ArkeServer.channel/0","type":"function"},{"doc":"","ref":"ArkeServer.html#controller/0","title":"ArkeServer.controller/0","type":"function"},{"doc":"","ref":"ArkeServer.html#router/0","title":"ArkeServer.router/0","type":"function"},{"doc":"","ref":"ArkeServer.html#view/0","title":"ArkeServer.view/0","type":"function"},{"doc":"","ref":"ArkeServer.ApiSpec.html","title":"ArkeServer.ApiSpec","type":"module"},{"doc":"Documentation for  `ArkeServer.ArkeController`.","ref":"ArkeServer.ArkeController.html","title":"ArkeServer.ArkeController","type":"module"},{"doc":"Call Arke function","ref":"ArkeServer.ArkeController.html#call_arke_function/2","title":"ArkeServer.ArkeController.call_arke_function/2","type":"function"},{"doc":"Call Unit function","ref":"ArkeServer.ArkeController.html#call_unit_function/2","title":"ArkeServer.ArkeController.call_unit_function/2","type":"function"},{"doc":"Create a new unit","ref":"ArkeServer.ArkeController.html#create/2","title":"ArkeServer.ArkeController.create/2","type":"function"},{"doc":"","ref":"ArkeServer.ArkeController.html#data_as_klist/1","title":"ArkeServer.ArkeController.data_as_klist/1","type":"function"},{"doc":"Delete a unit","ref":"ArkeServer.ArkeController.html#delete/2","title":"ArkeServer.ArkeController.delete/2","type":"function"},{"doc":"Get units","ref":"ArkeServer.ArkeController.html#get_all_unit/2","title":"ArkeServer.ArkeController.get_all_unit/2","type":"function"},{"doc":"Count units","ref":"ArkeServer.ArkeController.html#get_all_unit_count/2","title":"ArkeServer.ArkeController.get_all_unit_count/2","type":"function"},{"doc":"Get Arke groups","ref":"ArkeServer.ArkeController.html#get_groups/2","title":"ArkeServer.ArkeController.get_groups/2","type":"function"},{"doc":"It returns a unit","ref":"ArkeServer.ArkeController.html#get_unit/2","title":"ArkeServer.ArkeController.get_unit/2","type":"function"},{"doc":"","ref":"ArkeServer.ArkeController.html#open_api_operation/1","title":"ArkeServer.ArkeController.open_api_operation/1","type":"function"},{"doc":"Documentation for `ArkeServer.AuthController`. Used from the controller and via API not from CLI","ref":"ArkeServer.AuthController.html","title":"ArkeServer.AuthController","type":"module"},{"doc":"Change user password","ref":"ArkeServer.AuthController.html#change_password/2","title":"ArkeServer.AuthController.change_password/2","type":"function"},{"doc":"","ref":"ArkeServer.AuthController.html#mailer_module/0","title":"ArkeServer.AuthController.mailer_module/0","type":"function"},{"doc":"","ref":"ArkeServer.AuthController.html#open_api_operation/1","title":"ArkeServer.AuthController.open_api_operation/1","type":"function"},{"doc":"Reset user password","ref":"ArkeServer.AuthController.html#recover_password/2","title":"ArkeServer.AuthController.recover_password/2","type":"function"},{"doc":"Refresh the JWT tokens. Returns 200 and the tokes if ok","ref":"ArkeServer.AuthController.html#refresh/2","title":"ArkeServer.AuthController.refresh/2","type":"function"},{"doc":"","ref":"ArkeServer.AuthController.html#reset_password/2","title":"ArkeServer.AuthController.reset_password/2","type":"function"},{"doc":"Signin a user","ref":"ArkeServer.AuthController.html#signin/2","title":"ArkeServer.AuthController.signin/2","type":"function"},{"doc":"Signin a user","ref":"ArkeServer.AuthController.html#signup/2","title":"ArkeServer.AuthController.signup/2","type":"function"},{"doc":"","ref":"ArkeServer.AuthController.html#update_member_access_time/2","title":"ArkeServer.AuthController.update_member_access_time/2","type":"function"},{"doc":"Verify if the token is still valid. Returns 200 if true\n  - conn => %Plug.Conn{}","ref":"ArkeServer.AuthController.html#verify/2","title":"ArkeServer.AuthController.verify/2","type":"function"},{"doc":"Module which define the Plug used for each call","ref":"ArkeServer.Endpoint.html","title":"ArkeServer.Endpoint","type":"module"},{"doc":"","ref":"ArkeServer.Endpoint.html#broadcast/3","title":"ArkeServer.Endpoint.broadcast/3","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#broadcast!/3","title":"ArkeServer.Endpoint.broadcast!/3","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#broadcast_from/4","title":"ArkeServer.Endpoint.broadcast_from/4","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#broadcast_from!/4","title":"ArkeServer.Endpoint.broadcast_from!/4","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#call/2","title":"ArkeServer.Endpoint.call/2","type":"function"},{"doc":"Returns the child specification to start the endpoint\nunder a supervision tree.","ref":"ArkeServer.Endpoint.html#child_spec/1","title":"ArkeServer.Endpoint.child_spec/1","type":"function"},{"doc":"Returns the endpoint configuration for `key`\n\nReturns `default` if the key does not exist.","ref":"ArkeServer.Endpoint.html#config/2","title":"ArkeServer.Endpoint.config/2","type":"function"},{"doc":"Reloads the configuration given the application environment changes.","ref":"ArkeServer.Endpoint.html#config_change/2","title":"ArkeServer.Endpoint.config_change/2","type":"function"},{"doc":"Returns the host for the given endpoint.","ref":"ArkeServer.Endpoint.html#host/0","title":"ArkeServer.Endpoint.host/0","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#init/1","title":"ArkeServer.Endpoint.init/1","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#local_broadcast/3","title":"ArkeServer.Endpoint.local_broadcast/3","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#local_broadcast_from/4","title":"ArkeServer.Endpoint.local_broadcast_from/4","type":"function"},{"doc":"Generates the path information when routing to this endpoint.","ref":"ArkeServer.Endpoint.html#path/1","title":"ArkeServer.Endpoint.path/1","type":"function"},{"doc":"Generates the script name.","ref":"ArkeServer.Endpoint.html#script_name/0","title":"ArkeServer.Endpoint.script_name/0","type":"function"},{"doc":"Starts the endpoint supervision tree.","ref":"ArkeServer.Endpoint.html#start_link/1","title":"ArkeServer.Endpoint.start_link/1","type":"function"},{"doc":"* `:log_access_url` - if the access url should be logged\n    once the endpoint starts\n\nAll other options are merged into the endpoint configuration.","ref":"ArkeServer.Endpoint.html#start_link/1-options","title":"Options - ArkeServer.Endpoint.start_link/1","type":"function"},{"doc":"Generates a base64-encoded cryptographic hash (sha512) to a static file\nin `priv/static`. Meant to be used for Subresource Integrity with CDNs.","ref":"ArkeServer.Endpoint.html#static_integrity/1","title":"ArkeServer.Endpoint.static_integrity/1","type":"function"},{"doc":"Returns a two item tuple with the first item being the `static_path`\nand the second item being the `static_integrity`.","ref":"ArkeServer.Endpoint.html#static_lookup/1","title":"ArkeServer.Endpoint.static_lookup/1","type":"function"},{"doc":"Generates a route to a static file in `priv/static`.","ref":"ArkeServer.Endpoint.html#static_path/1","title":"ArkeServer.Endpoint.static_path/1","type":"function"},{"doc":"Generates the static URL without any path information.\n\nIt uses the configuration under `:static_url` to generate\nsuch. It falls back to `:url` if `:static_url` is not set.","ref":"ArkeServer.Endpoint.html#static_url/0","title":"ArkeServer.Endpoint.static_url/0","type":"function"},{"doc":"Generates the endpoint base URL but as a `URI` struct.\n\nIt uses the configuration under `:url` to generate such.\nUseful for manipulating the URL data and passing it to\nURL helpers.","ref":"ArkeServer.Endpoint.html#struct_url/0","title":"ArkeServer.Endpoint.struct_url/0","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#subscribe/2","title":"ArkeServer.Endpoint.subscribe/2","type":"function"},{"doc":"","ref":"ArkeServer.Endpoint.html#unsubscribe/1","title":"ArkeServer.Endpoint.unsubscribe/1","type":"function"},{"doc":"Generates the endpoint base URL without any path information.\n\nIt uses the configuration under `:url` to generate such.","ref":"ArkeServer.Endpoint.html#url/0","title":"ArkeServer.Endpoint.url/0","type":"function"},{"doc":"","ref":"ArkeServer.ErrorHandlers.Auth.html","title":"ArkeServer.ErrorHandlers.Auth","type":"module"},{"doc":"","ref":"ArkeServer.ErrorHandlers.SSOAuth.html","title":"ArkeServer.ErrorHandlers.SSOAuth","type":"module"},{"doc":"Conveniences for translating and building error messages.","ref":"ArkeServer.ErrorHelpers.html","title":"ArkeServer.ErrorHelpers","type":"module"},{"doc":"Translates an error message.","ref":"ArkeServer.ErrorHelpers.html#translate_error/1","title":"ArkeServer.ErrorHelpers.translate_error/1","type":"function"},{"doc":"Documentation for `ArkeServer.ErrorView`","ref":"ArkeServer.ErrorView.html","title":"ArkeServer.ErrorView","type":"module"},{"doc":"The resource name, as an atom, for this view","ref":"ArkeServer.ErrorView.html#__resource__/0","title":"ArkeServer.ErrorView.__resource__/0","type":"function"},{"doc":"Renders the given template locally.","ref":"ArkeServer.ErrorView.html#render/2","title":"ArkeServer.ErrorView.render/2","type":"function"},{"doc":"Callback invoked when no template is found.\nBy default it raises but can be customized\nto render a particular template.","ref":"ArkeServer.ErrorView.html#template_not_found/2","title":"ArkeServer.ErrorView.template_not_found/2","type":"function"},{"doc":"Documentation for `ArkeServer.ParameterController`","ref":"ArkeServer.GroupController.html","title":"ArkeServer.GroupController","type":"module"},{"doc":"Call Group function","ref":"ArkeServer.GroupController.html#call_group_function/2","title":"ArkeServer.GroupController.call_group_function/2","type":"function"},{"doc":"","ref":"ArkeServer.GroupController.html#get_arke/2","title":"ArkeServer.GroupController.get_arke/2","type":"function"},{"doc":"","ref":"ArkeServer.GroupController.html#get_unit/2","title":"ArkeServer.GroupController.get_unit/2","type":"function"},{"doc":"","ref":"ArkeServer.GroupController.html#open_api_operation/1","title":"ArkeServer.GroupController.open_api_operation/1","type":"function"},{"doc":"","ref":"ArkeServer.GroupController.html#struct/2","title":"ArkeServer.GroupController.struct/2","type":"function"},{"doc":"","ref":"ArkeServer.GroupController.html#unit_detail/2","title":"ArkeServer.GroupController.unit_detail/2","type":"function"},{"doc":"","ref":"ArkeServer.HealthController.html","title":"ArkeServer.HealthController","type":"module"},{"doc":"","ref":"ArkeServer.HealthController.html#live/2","title":"ArkeServer.HealthController.live/2","type":"function"},{"doc":"","ref":"ArkeServer.HealthController.html#ready/2","title":"ArkeServer.HealthController.ready/2","type":"function"},{"doc":"","ref":"ArkeServer.HealthController.html#start/2","title":"ArkeServer.HealthController.start/2","type":"function"},{"doc":"","ref":"ArkeServer.Mailer.html","title":"ArkeServer.Mailer","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.AuthInfo.html","title":"ArkeServer.OAuth.AuthInfo","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.Core.html","title":"ArkeServer.OAuth.Core","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.Core.html#run_request/2","title":"ArkeServer.OAuth.Core.run_request/2","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html","title":"ArkeServer.OAuth.Provider.Apple","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html#default_options/0","title":"ArkeServer.OAuth.Provider.Apple.default_options/0","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html#handle_cleanup/1","title":"ArkeServer.OAuth.Provider.Apple.handle_cleanup/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html#handle_request/1","title":"ArkeServer.OAuth.Provider.Apple.handle_request/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html#info/1","title":"ArkeServer.OAuth.Provider.Apple.info/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Apple.html#uid/1","title":"ArkeServer.OAuth.Provider.Apple.uid/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html","title":"ArkeServer.OAuth.Provider.Facebook","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html#default_options/0","title":"ArkeServer.OAuth.Provider.Facebook.default_options/0","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html#handle_cleanup/1","title":"ArkeServer.OAuth.Provider.Facebook.handle_cleanup/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html#handle_request/1","title":"ArkeServer.OAuth.Provider.Facebook.handle_request/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html#info/1","title":"ArkeServer.OAuth.Provider.Facebook.info/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Facebook.html#uid/1","title":"ArkeServer.OAuth.Provider.Facebook.uid/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html","title":"ArkeServer.OAuth.Provider.Google","type":"module"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html#default_options/0","title":"ArkeServer.OAuth.Provider.Google.default_options/0","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html#handle_cleanup/1","title":"ArkeServer.OAuth.Provider.Google.handle_cleanup/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html#handle_request/1","title":"ArkeServer.OAuth.Provider.Google.handle_request/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html#info/1","title":"ArkeServer.OAuth.Provider.Google.info/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.Provider.Google.html#uid/1","title":"ArkeServer.OAuth.Provider.Google.uid/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuth.UserInfo.html","title":"ArkeServer.OAuth.UserInfo","type":"module"},{"doc":"Auth controller responsible for handling Ueberauth responses","ref":"ArkeServer.OAuthController.html","title":"ArkeServer.OAuthController","type":"module"},{"doc":"","ref":"ArkeServer.OAuthController.html#callback/2","title":"ArkeServer.OAuthController.callback/2","type":"function"},{"doc":"","ref":"ArkeServer.OAuthController.html#handle_client_login/2","title":"ArkeServer.OAuthController.handle_client_login/2","type":"function"},{"doc":"","ref":"ArkeServer.OAuthController.html#handle_create_member/2","title":"ArkeServer.OAuthController.handle_create_member/2","type":"function"},{"doc":"","ref":"ArkeServer.OAuthController.html#open_api_operation/1","title":"ArkeServer.OAuthController.open_api_operation/1","type":"function"},{"doc":"","ref":"ArkeServer.OAuthController.html#request/2","title":"ArkeServer.OAuthController.request/2","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.ArkeController`.","ref":"ArkeServer.Openapi.ArkeControllerSpec.html","title":"ArkeServer.Openapi.ArkeControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#call_arke_function_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.call_arke_function_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#call_unit_function_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.call_unit_function_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#create_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.create_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#delete_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.delete_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#get_all_unit_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.get_all_unit_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#get_groups_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.get_groups_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#get_unit_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.get_unit_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.ArkeControllerSpec.html#update_operation/0","title":"ArkeServer.Openapi.ArkeControllerSpec.update_operation/0","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.AuthController`.","ref":"ArkeServer.Openapi.AuthControllerSpec.html","title":"ArkeServer.Openapi.AuthControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#change_password_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.change_password_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#recover_password_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.recover_password_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#refresh_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.refresh_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#reset_password_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.reset_password_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#signin_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.signin_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#signup_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.signup_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.AuthControllerSpec.html#verify_operation/0","title":"ArkeServer.Openapi.AuthControllerSpec.verify_operation/0","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.GroupController`.","ref":"ArkeServer.Openapi.GroupControllerSpec.html","title":"ArkeServer.Openapi.GroupControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.GroupControllerSpec.html#get_arke_operation/0","title":"ArkeServer.Openapi.GroupControllerSpec.get_arke_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.GroupControllerSpec.html#get_unit_operation/0","title":"ArkeServer.Openapi.GroupControllerSpec.get_unit_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.GroupControllerSpec.html#struct_operation/0","title":"ArkeServer.Openapi.GroupControllerSpec.struct_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.GroupControllerSpec.html#unit_detail_operation/0","title":"ArkeServer.Openapi.GroupControllerSpec.unit_detail_operation/0","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.OAuthController`.","ref":"ArkeServer.Openapi.OAuthControllerSpec.html","title":"ArkeServer.Openapi.OAuthControllerSpec","type":"module"},{"doc":"Definition of the ApiSpec for `ArkeServer.ParameterController`.","ref":"ArkeServer.Openapi.ParameterControllerSpec.html","title":"ArkeServer.Openapi.ParameterControllerSpec","type":"module"},{"doc":"Definition of the ApiSpec for `ArkeServer.ProjectController`.","ref":"ArkeServer.Openapi.ProjectControllerSpec.html","title":"ArkeServer.Openapi.ProjectControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.Responses.html","title":"ArkeServer.Openapi.Responses","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.Responses.html#get_responses/1","title":"ArkeServer.Openapi.Responses.get_responses/1","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.Spec.html","title":"ArkeServer.Openapi.Spec","type":"module"},{"doc":"For each controller define the module containing its apispec definitions.\nIn your controller module:\n    use ArkeServer.Openapi.Spec, module: My.Spec.Module","ref":"ArkeServer.Openapi.Spec.html#__using__/1","title":"ArkeServer.Openapi.Spec.__using__/1","type":"macro"},{"doc":"Definition of the ApiSpec for `ArkeServer.StructController`.","ref":"ArkeServer.Openapi.StructControllerSpec.html","title":"ArkeServer.Openapi.StructControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.StructControllerSpec.html#get_arke_struct_operation/0","title":"ArkeServer.Openapi.StructControllerSpec.get_arke_struct_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.StructControllerSpec.html#get_unit_struct_operation/0","title":"ArkeServer.Openapi.StructControllerSpec.get_unit_struct_operation/0","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.TopologyController`.","ref":"ArkeServer.Openapi.TopologyControllerSpec.html","title":"ArkeServer.Openapi.TopologyControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#add_parameter_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.add_parameter_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#create_node_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.create_node_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#delete_node_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.delete_node_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#get_node_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.get_node_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#update_node_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.update_node_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.TopologyControllerSpec.html#update_parameter_operation/0","title":"ArkeServer.Openapi.TopologyControllerSpec.update_parameter_operation/0","type":"function"},{"doc":"Definition of the ApiSpec for `ArkeServer.UnitController`.","ref":"ArkeServer.Openapi.UnitControllerSpec.html","title":"ArkeServer.Openapi.UnitControllerSpec","type":"module"},{"doc":"","ref":"ArkeServer.Openapi.UnitControllerSpec.html#search_operation/0","title":"ArkeServer.Openapi.UnitControllerSpec.search_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.Openapi.UnitControllerSpec.html#update_operation/0","title":"ArkeServer.Openapi.UnitControllerSpec.update_operation/0","type":"function"},{"doc":"","ref":"ArkeServer.ParameterController.html","title":"ArkeServer.ParameterController","type":"module"},{"doc":"","ref":"ArkeServer.ParameterController.html#add_link_parameter_value/2","title":"ArkeServer.ParameterController.add_link_parameter_value/2","type":"function"},{"doc":"Get parameter value","ref":"ArkeServer.ParameterController.html#get_parameter_value/2","title":"ArkeServer.ParameterController.get_parameter_value/2","type":"function"},{"doc":"","ref":"ArkeServer.ParameterController.html#open_api_operation/1","title":"ArkeServer.ParameterController.open_api_operation/1","type":"function"},{"doc":"","ref":"ArkeServer.ParameterController.html#remove_link_parameter_value/2","title":"ArkeServer.ParameterController.remove_link_parameter_value/2","type":"function"},{"doc":"","ref":"ArkeServer.ParameterController.html#update_parameter_value/2","title":"ArkeServer.ParameterController.update_parameter_value/2","type":"function"},{"doc":"Pipeline To ensure that the user is always authenticated and authorized","ref":"ArkeServer.Plugs.AuthPipeline.html","title":"ArkeServer.Plugs.AuthPipeline","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.AuthPipeline.html#call/2","title":"ArkeServer.Plugs.AuthPipeline.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.AuthPipeline.html#init/1","title":"ArkeServer.Plugs.AuthPipeline.init/1","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.BuildFilters.html","title":"ArkeServer.Plugs.BuildFilters","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.BuildFilters.html#call/2","title":"ArkeServer.Plugs.BuildFilters.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.BuildFilters.html#init/1","title":"ArkeServer.Plugs.BuildFilters.init/1","type":"function"},{"doc":"Plug to get the project from the request header","ref":"ArkeServer.Plugs.GetProject.html","title":"ArkeServer.Plugs.GetProject","type":"module"},{"doc":"Plug to get a unit from the id in the url","ref":"ArkeServer.Plugs.GetUnit.html","title":"ArkeServer.Plugs.GetUnit","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.GetUnit.html#call/2","title":"ArkeServer.Plugs.GetUnit.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.GetUnit.html#init/1","title":"ArkeServer.Plugs.GetUnit.init/1","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.GetUnit.html#single_unit/2","title":"ArkeServer.Plugs.GetUnit.single_unit/2","type":"function"},{"doc":"Pipeline for all the non-authorized endpoints","ref":"ArkeServer.Plugs.NotAuthPipeline.html","title":"ArkeServer.Plugs.NotAuthPipeline","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.NotAuthPipeline.html#call/2","title":"ArkeServer.Plugs.NotAuthPipeline.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.NotAuthPipeline.html#init/1","title":"ArkeServer.Plugs.NotAuthPipeline.init/1","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.OAuth.html","title":"ArkeServer.Plugs.OAuth","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.OAuth.html#run_request/4","title":"ArkeServer.Plugs.OAuth.run_request/4","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.Permission.html","title":"ArkeServer.Plugs.Permission","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.Permission.html#call/2","title":"ArkeServer.Plugs.Permission.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.Permission.html#init/1","title":"ArkeServer.Plugs.Permission.init/1","type":"function"},{"doc":"Pipeline to ensure the existence of an arke user from a sso jwt token","ref":"ArkeServer.Plugs.SSOAuthPipeline.html","title":"ArkeServer.Plugs.SSOAuthPipeline","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.SSOAuthPipeline.html#call/2","title":"ArkeServer.Plugs.SSOAuthPipeline.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.SSOAuthPipeline.html#init/1","title":"ArkeServer.Plugs.SSOAuthPipeline.init/1","type":"function"},{"doc":"Pipeline for all the non-authorized endpoints","ref":"ArkeServer.Plugs.SSONotAuthPipeline.html","title":"ArkeServer.Plugs.SSONotAuthPipeline","type":"module"},{"doc":"","ref":"ArkeServer.Plugs.SSONotAuthPipeline.html#call/2","title":"ArkeServer.Plugs.SSONotAuthPipeline.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Plugs.SSONotAuthPipeline.html#init/1","title":"ArkeServer.Plugs.SSONotAuthPipeline.init/1","type":"function"},{"doc":"Documentation for  `ArkeServer.ProjectController`.","ref":"ArkeServer.ProjectController.html","title":"ArkeServer.ProjectController","type":"module"},{"doc":"Create a new unit","ref":"ArkeServer.ProjectController.html#create/2","title":"ArkeServer.ProjectController.create/2","type":"function"},{"doc":"Delete a unit","ref":"ArkeServer.ProjectController.html#delete/2","title":"ArkeServer.ProjectController.delete/2","type":"function"},{"doc":"Get a units of arke_project","ref":"ArkeServer.ProjectController.html#get_all_unit/2","title":"ArkeServer.ProjectController.get_all_unit/2","type":"function"},{"doc":"It returns a unit","ref":"ArkeServer.ProjectController.html#get_unit/2","title":"ArkeServer.ProjectController.get_unit/2","type":"function"},{"doc":"","ref":"ArkeServer.ProjectController.html#open_api_operation/1","title":"ArkeServer.ProjectController.open_api_operation/1","type":"function"},{"doc":"Update an unit","ref":"ArkeServer.ProjectController.html#update/2","title":"ArkeServer.ProjectController.update/2","type":"function"},{"doc":"Module to standardize the responses.\nThe response body can be formatted as follow:\n  - %{items: [...], count: integer, messages: [...]}\n  - %{content: %{items: [...], count: integer, messages: [...]}}\n  - {content: ..., messages: [...]}\nIf the status is 204 then the body will be empty","ref":"ArkeServer.ResponseManager.html","title":"ArkeServer.ResponseManager","type":"module"},{"doc":"Module where all the routes are defined. Too see run in the CLI: `mix phx.routes ArkeServer.Router`","ref":"ArkeServer.Router.html","title":"ArkeServer.Router","type":"module"},{"doc":"","ref":"ArkeServer.Router.html#api/2","title":"ArkeServer.Router.api/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#auth_api/2","title":"ArkeServer.Router.auth_api/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#browser/2","title":"ArkeServer.Router.browser/2","type":"function"},{"doc":"Callback invoked by Plug on every request.","ref":"ArkeServer.Router.html#call/2","title":"ArkeServer.Router.call/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#get_unit/2","title":"ArkeServer.Router.get_unit/2","type":"function"},{"doc":"Callback required by Plug that initializes the router\nfor serving web requests.","ref":"ArkeServer.Router.html#init/1","title":"ArkeServer.Router.init/1","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#oauth/2","title":"ArkeServer.Router.oauth/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#openapi/2","title":"ArkeServer.Router.openapi/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#project/2","title":"ArkeServer.Router.project/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.html#sso_auth_api/2","title":"ArkeServer.Router.sso_auth_api/2","type":"function"},{"doc":"Module with named helpers generated from ArkeServer.Router.","ref":"ArkeServer.Router.Helpers.html","title":"ArkeServer.Router.Helpers","type":"module"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_path/3","title":"ArkeServer.Router.Helpers.arke_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_path/4","title":"ArkeServer.Router.Helpers.arke_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_path/5","title":"ArkeServer.Router.Helpers.arke_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_path/6","title":"ArkeServer.Router.Helpers.arke_path/6","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_url/3","title":"ArkeServer.Router.Helpers.arke_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_url/4","title":"ArkeServer.Router.Helpers.arke_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_url/5","title":"ArkeServer.Router.Helpers.arke_url/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#arke_url/6","title":"ArkeServer.Router.Helpers.arke_url/6","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_path/2","title":"ArkeServer.Router.Helpers.auth_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_path/3","title":"ArkeServer.Router.Helpers.auth_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_path/4","title":"ArkeServer.Router.Helpers.auth_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_url/2","title":"ArkeServer.Router.Helpers.auth_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_url/3","title":"ArkeServer.Router.Helpers.auth_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#auth_url/4","title":"ArkeServer.Router.Helpers.auth_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_path/3","title":"ArkeServer.Router.Helpers.group_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_path/4","title":"ArkeServer.Router.Helpers.group_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_path/5","title":"ArkeServer.Router.Helpers.group_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_url/3","title":"ArkeServer.Router.Helpers.group_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_url/4","title":"ArkeServer.Router.Helpers.group_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#group_url/5","title":"ArkeServer.Router.Helpers.group_url/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#health_path/2","title":"ArkeServer.Router.Helpers.health_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#health_path/3","title":"ArkeServer.Router.Helpers.health_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#health_url/2","title":"ArkeServer.Router.Helpers.health_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#health_url/3","title":"ArkeServer.Router.Helpers.health_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_path/3","title":"ArkeServer.Router.Helpers.o_auth_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_path/4","title":"ArkeServer.Router.Helpers.o_auth_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_path/5","title":"ArkeServer.Router.Helpers.o_auth_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_url/3","title":"ArkeServer.Router.Helpers.o_auth_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_url/4","title":"ArkeServer.Router.Helpers.o_auth_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#o_auth_url/5","title":"ArkeServer.Router.Helpers.o_auth_url/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_path/3","title":"ArkeServer.Router.Helpers.parameter_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_path/4","title":"ArkeServer.Router.Helpers.parameter_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_path/5","title":"ArkeServer.Router.Helpers.parameter_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_url/3","title":"ArkeServer.Router.Helpers.parameter_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_url/4","title":"ArkeServer.Router.Helpers.parameter_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#parameter_url/5","title":"ArkeServer.Router.Helpers.parameter_url/5","type":"function"},{"doc":"Generates the path information including any necessary prefix.","ref":"ArkeServer.Router.Helpers.html#path/2","title":"ArkeServer.Router.Helpers.path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_path/2","title":"ArkeServer.Router.Helpers.project_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_path/3","title":"ArkeServer.Router.Helpers.project_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_path/4","title":"ArkeServer.Router.Helpers.project_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_url/2","title":"ArkeServer.Router.Helpers.project_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_url/3","title":"ArkeServer.Router.Helpers.project_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#project_url/4","title":"ArkeServer.Router.Helpers.project_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#render_spec_path/2","title":"ArkeServer.Router.Helpers.render_spec_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#render_spec_path/3","title":"ArkeServer.Router.Helpers.render_spec_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#render_spec_url/2","title":"ArkeServer.Router.Helpers.render_spec_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#render_spec_url/3","title":"ArkeServer.Router.Helpers.render_spec_url/3","type":"function"},{"doc":"Generates an integrity hash to a static asset given its file path.","ref":"ArkeServer.Router.Helpers.html#static_integrity/2","title":"ArkeServer.Router.Helpers.static_integrity/2","type":"function"},{"doc":"Generates path to a static asset given its file path.","ref":"ArkeServer.Router.Helpers.html#static_path/2","title":"ArkeServer.Router.Helpers.static_path/2","type":"function"},{"doc":"Generates url to a static asset given its file path.","ref":"ArkeServer.Router.Helpers.html#static_url/2","title":"ArkeServer.Router.Helpers.static_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_path/3","title":"ArkeServer.Router.Helpers.struct_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_path/4","title":"ArkeServer.Router.Helpers.struct_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_path/5","title":"ArkeServer.Router.Helpers.struct_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_url/3","title":"ArkeServer.Router.Helpers.struct_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_url/4","title":"ArkeServer.Router.Helpers.struct_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#struct_url/5","title":"ArkeServer.Router.Helpers.struct_url/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#swagger_ui_path/2","title":"ArkeServer.Router.Helpers.swagger_ui_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#swagger_ui_path/3","title":"ArkeServer.Router.Helpers.swagger_ui_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#swagger_ui_url/2","title":"ArkeServer.Router.Helpers.swagger_ui_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#swagger_ui_url/3","title":"ArkeServer.Router.Helpers.swagger_ui_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_path/4","title":"ArkeServer.Router.Helpers.topology_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_path/5","title":"ArkeServer.Router.Helpers.topology_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_path/6","title":"ArkeServer.Router.Helpers.topology_path/6","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_path/7","title":"ArkeServer.Router.Helpers.topology_path/7","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_path/8","title":"ArkeServer.Router.Helpers.topology_path/8","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_url/4","title":"ArkeServer.Router.Helpers.topology_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_url/5","title":"ArkeServer.Router.Helpers.topology_url/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_url/6","title":"ArkeServer.Router.Helpers.topology_url/6","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_url/7","title":"ArkeServer.Router.Helpers.topology_url/7","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#topology_url/8","title":"ArkeServer.Router.Helpers.topology_url/8","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_path/2","title":"ArkeServer.Router.Helpers.unit_path/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_path/3","title":"ArkeServer.Router.Helpers.unit_path/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_path/4","title":"ArkeServer.Router.Helpers.unit_path/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_path/5","title":"ArkeServer.Router.Helpers.unit_path/5","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_url/2","title":"ArkeServer.Router.Helpers.unit_url/2","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_url/3","title":"ArkeServer.Router.Helpers.unit_url/3","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_url/4","title":"ArkeServer.Router.Helpers.unit_url/4","type":"function"},{"doc":"","ref":"ArkeServer.Router.Helpers.html#unit_url/5","title":"ArkeServer.Router.Helpers.unit_url/5","type":"function"},{"doc":"Generates the connection/endpoint base URL without any path information.","ref":"ArkeServer.Router.Helpers.html#url/1","title":"ArkeServer.Router.Helpers.url/1","type":"function"},{"doc":"Available routes:\n\n```\nGET /lib/doc/swaggerui\nGET /lib/doc/openapi\nGET /lib/health/ready\nGET /lib/health/live\nGET /lib/health/start\nGET /lib/auth/signin\nPOST /lib/auth/signin\nPOST /lib/auth/:arke_id/signup\nPOST /lib/auth/recover_password\nPOST /lib/auth/reset_password\nPOST /lib/auth/reset_password/:token\nPOST /lib/auth/signin/:provider\nPOST /lib/auth/:member/:provider\nPOST /lib/auth/refresh\nPOST /lib/auth/verify\nPOST /lib/auth/change_password\nGET /lib/arke_project/unit\nGET /lib/arke_project/unit/:unit_id\nPUT /lib/arke_project/unit/:unit_id\nPOST /lib/arke_project/unit\nDELETE /lib/arke_project/unit/:unit_id\nGET /lib/group/:group_id/arke\nGET /lib/group/:group_id/struct\nGET /lib/group/:group_id/unit\nGET /lib/group/:group_id/unit/:unit_id\nPUT /lib/:arke_id/unit/:unit_id\nPUT /lib/:arke_id/parameter/:arke_parameter_id\nPUT /lib/:arke_id/unit/:arke_unit_id/link/:link_id/:arke_id_two/unit/:unit_id_two\nPOST /lib/:arke_id/unit\nPOST /lib/:arke_id/parameter/:arke_parameter_id\nPOST /lib/:arke_id/unit/:arke_unit_id/link/:link_id/:arke_id_two/unit/:unit_id_two\nDELETE /lib/:arke_id/unit/:arke_unit_id/link/:link_id/:arke_id_two/unit/:unit_id_two\nDELETE /lib/:arke_id/unit/:unit_id\nGET /lib/:arke_id/function/:function_name\nGET /lib/:arke_id/unit/:unit_id/function/:function_name\nPOST /lib/:arke_id/function/:function_name\nPOST /lib/:arke_id/unit/:unit_id/function/:function_name\nGET /lib/group/:group_id/function/:function_name\nPOST /lib/group/:group_id/function/:function_name\nGET /lib/parameter/:parameter_id\nPOST /lib/parameter/:parameter_id\nPUT /lib/parameter/:parameter_id\nDELETE /lib/parameter/:parameter_id/:unit_id\nGET /lib/:arke_id/struct\nGET /lib/:arke_id/group\nGET /lib/:arke_id/count\nGET /lib/:arke_id/unit\nGET /lib/:arke_id/unit/:unit_id\nGET /lib/:arke_id/unit/:arke_unit_id/link/:direction\nGET /lib/:arke_id/unit/:arke_unit_id/link/:direction/count\nGET /lib/:arke_id/unit/:arke_unit_id/struct\nGET /lib/unit\n\n```","ref":"ArkeServer.Routes.html","title":"ArkeServer.Routes","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.html","title":"ArkeServer.Schemas","type":"module"},{"doc":"Create unit example\n\nCreate unit example","ref":"ArkeServer.Schemas.CreateUnitExample.html","title":"ArkeServer.Schemas.CreateUnitExample","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.CreateUnitExample.html#schema/0","title":"ArkeServer.Schemas.CreateUnitExample.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.CreateUnitExample.html#t:t/0","title":"ArkeServer.Schemas.CreateUnitExample.t/0","type":"type"},{"doc":"Group example\n\nGroup example","ref":"ArkeServer.Schemas.GroupExample.html","title":"ArkeServer.Schemas.GroupExample","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.GroupExample.html#schema/0","title":"ArkeServer.Schemas.GroupExample.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.GroupExample.html#t:t/0","title":"ArkeServer.Schemas.GroupExample.t/0","type":"type"},{"doc":"IntegerParameterUnit","ref":"ArkeServer.Schemas.IntegerParameter.html","title":"ArkeServer.Schemas.IntegerParameter","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.IntegerParameter.html#schema/0","title":"ArkeServer.Schemas.IntegerParameter.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.IntegerParameter.html#t:t/0","title":"ArkeServer.Schemas.IntegerParameter.t/0","type":"type"},{"doc":"Integer unit parameter\n\nInteger unit parameter","ref":"ArkeServer.Schemas.IntegerParameterUnit.html","title":"ArkeServer.Schemas.IntegerParameterUnit","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.IntegerParameterUnit.html#schema/0","title":"ArkeServer.Schemas.IntegerParameterUnit.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.IntegerParameterUnit.html#t:t/0","title":"ArkeServer.Schemas.IntegerParameterUnit.t/0","type":"type"},{"doc":"StringParameterUnit","ref":"ArkeServer.Schemas.StringParameter.html","title":"ArkeServer.Schemas.StringParameter","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.StringParameter.html#schema/0","title":"ArkeServer.Schemas.StringParameter.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.StringParameter.html#t:t/0","title":"ArkeServer.Schemas.StringParameter.t/0","type":"type"},{"doc":"String unit parameter\n\nString unit parameter","ref":"ArkeServer.Schemas.StringParameterUnit.html","title":"ArkeServer.Schemas.StringParameterUnit","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.StringParameterUnit.html#schema/0","title":"ArkeServer.Schemas.StringParameterUnit.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.StringParameterUnit.html#t:t/0","title":"ArkeServer.Schemas.StringParameterUnit.t/0","type":"type"},{"doc":"Unit example\n\nUnit example","ref":"ArkeServer.Schemas.UnitExample.html","title":"ArkeServer.Schemas.UnitExample","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.UnitExample.html#schema/0","title":"ArkeServer.Schemas.UnitExample.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.UnitExample.html#t:t/0","title":"ArkeServer.Schemas.UnitExample.t/0","type":"type"},{"doc":"Parameter example\n\nSome parameter for the Units","ref":"ArkeServer.Schemas.UnitParameter.html","title":"ArkeServer.Schemas.UnitParameter","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.UnitParameter.html#schema/0","title":"ArkeServer.Schemas.UnitParameter.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.UnitParameter.html#t:t/0","title":"ArkeServer.Schemas.UnitParameter.t/0","type":"type"},{"doc":"Unit Struct\n\nStruct of a unit","ref":"ArkeServer.Schemas.UnitStruct.html","title":"ArkeServer.Schemas.UnitStruct","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.UnitStruct.html#schema/0","title":"ArkeServer.Schemas.UnitStruct.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.UnitStruct.html#t:t/0","title":"ArkeServer.Schemas.UnitStruct.t/0","type":"type"},{"doc":"User example\n\nUser example","ref":"ArkeServer.Schemas.UserExample.html","title":"ArkeServer.Schemas.UserExample","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.UserExample.html#schema/0","title":"ArkeServer.Schemas.UserExample.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.UserExample.html#t:t/0","title":"ArkeServer.Schemas.UserExample.t/0","type":"type"},{"doc":"Signin Parameter\n\nPOST body for creating a user","ref":"ArkeServer.Schemas.UserParams.html","title":"ArkeServer.Schemas.UserParams","type":"module"},{"doc":"","ref":"ArkeServer.Schemas.UserParams.html#schema/0","title":"ArkeServer.Schemas.UserParams.schema/0","type":"function"},{"doc":"","ref":"ArkeServer.Schemas.UserParams.html#t:t/0","title":"ArkeServer.Schemas.UserParams.t/0","type":"type"},{"doc":"Documentation for`ArkeServer.StructController","ref":"ArkeServer.StructController.html","title":"ArkeServer.StructController","type":"module"},{"doc":"Get a struct of an Arke","ref":"ArkeServer.StructController.html#get_arke_struct/2","title":"ArkeServer.StructController.get_arke_struct/2","type":"function"},{"doc":"Get a struct of a unit","ref":"ArkeServer.StructController.html#get_unit_struct/2","title":"ArkeServer.StructController.get_unit_struct/2","type":"function"},{"doc":"","ref":"ArkeServer.StructController.html#open_api_operation/1","title":"ArkeServer.StructController.open_api_operation/1","type":"function"},{"doc":"An adapter that sends email using the Mailtrap API.\n\nFor reference: [Mailtrap API docs](https://api-docs.mailtrap.io/docs/mailtrap-api-docs/67f1d70aeb62c-send-email)\n\n**This adapter requires an API Client.** Swoosh comes with Hackney and Finch out of the box.\nSee the [installation section](https://hexdocs.pm/swoosh/Swoosh.html#module-installation)\nfor details.","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html","title":"ArkeServer.Swoosh.Adapters.Mailtrap","type":"module"},{"doc":"# config/config.exs\n    config :sample, Sample.Mailer,\n      adapter: Swoosh.Adapters.Mailtrap,\n      api_key: \"my-api-key\"\n\n    # lib/sample/mailer.ex\n    defmodule Sample.Mailer do\n      use Swoosh.Mailer, otp_app: :sample\n    end","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#module-example","title":"Example - ArkeServer.Swoosh.Adapters.Mailtrap","type":"module"},{"doc":"For [sandbox mode](https://api-docs.mailtrap.io/docs/mailtrap-api-docs/bcf61cdc1547e-send-email-early-access), use the following config:\n\n    # config/config.exs\n    config :sample, Sample.Mailer,\n      adapter: Swoosh.Adapters.Mailtrap,\n      api_key: \"my-api-key\",\n      sandbox_inbox_id: \"111111\"","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#module-sandbox-mode","title":"Sandbox mode - ArkeServer.Swoosh.Adapters.Mailtrap","type":"module"},{"doc":"import Swoosh.Email\n\n    new()\n    |> from({\"Xu Shang-Chi\", \"xu.shangchi@example.com\"})\n    |> to({\"Katy\", \"katy@example.com\"})\n    |> reply_to(\"xu.xialing@example.com\")\n    |> cc(\"yingli@example.com\")\n    |> cc({\"Xu Wenwu\", \"xu.wenwu@example.com\"})\n    |> bcc(\"yingnan@example.com\")\n    |> bcc({\"Jon Jon\", \"jonjon@example.com\"})\n    |> subject(\"Hello, Ten Rings!\")\n    |> html_body(\" Hello \")\n    |> text_body(\"Hello\")\n    |> put_provider_option(:custom_variables, %{\n      my_var: %{my_message_id: 123},\n      my_other_var: %{my_other_id: 1, stuff: 2}\n    })\n    |> put_provider_option(:category, \"welcome\")","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#module-using-with-provider-options","title":"Using with provider options - ArkeServer.Swoosh.Adapters.Mailtrap","type":"module"},{"doc":"Supported provider options are the following:\n\n#### Inserted into request body\n\n  * `:category` (string) - an email category\n\n  * `:custom_variables` (map) - a map contains fields","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#module-provider-options","title":"Provider Options - ArkeServer.Swoosh.Adapters.Mailtrap","type":"module"},{"doc":"","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#validate_config/1","title":"ArkeServer.Swoosh.Adapters.Mailtrap.validate_config/1","type":"function"},{"doc":"","ref":"ArkeServer.Swoosh.Adapters.Mailtrap.html#validate_dependency/0","title":"ArkeServer.Swoosh.Adapters.Mailtrap.validate_dependency/0","type":"function"},{"doc":"An adapter that sends email using the OneSignal API.\n\nFor reference: [OneSignal API docs](https://documentation.onesignal.com/reference/email-channel-properties)\n\n**This adapter requires an API Client.** Swoosh comes with Hackney and Finch out of the box.\nSee the [installation section](https://hexdocs.pm/swoosh/Swoosh.html#module-installation)\nfor details.","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html","title":"ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"OneSignal adapter requires `Plug` to work properly.","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-dependency","title":"Dependency - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"* `:api_key` - the API key used with Mailgun\n* `:domain` - the domain you will be sending emails from.\n* `:app_id` - the domain you will be sending emails from.\n* `:base_url` - the url to use as the API endpoint. use https://onesignal.com/api/v1/notifications","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-configuration-options","title":"Configuration options - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"# config/config.exs\n    config :sample, Sample.Mailer,\n      adapter: Swoosh.Adapters.OneSignal,\n      api_key: \"my-api-key\",\n      domain: \"mydomain.com\"\n\n    # lib/sample/mailer.ex\n    defmodule Sample.Mailer do\n      use Swoosh.Mailer, otp_app: :sample\n    end","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-example","title":"Example - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"import Swoosh.Email\n\n    new()\n    |> from({\"T Stark\", \"tony.stark@example.com\"})\n    |> to({\"Steve Rogers\", \"steve.rogers@example.com\"})\n    |> to(\"wasp.avengers@example.com\")\n    |> reply_to(\"office.avengers@example.com\")\n    |> cc({\"Bruce Banner\", \"hulk.smash@example.com\"})\n    |> cc(\"thor.odinson@example.com\")\n    |> bcc({\"Clinton Francis Barton\", \"hawk.eye@example.com\"})\n    |> bcc(\"beast.avengers@example.com\")\n    |> subject(\"Hello, Avengers!\")\n    |> html_body(\" Hello \")\n    |> text_body(\"Hello\")\n    |> put_provider_option(:template_id, \"Template mail\")\n    |> put_provider_option(:custom_data, %{\"key\" => \"value\"})","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-using-with-provider-options","title":"Using with provider options - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"* `:custom_data` (map) - used to add custom data to email\n\n  * `:template_id` (string) - `template`, name of template created at OneSignal","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-provider-options","title":"Provider options - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"Headers added via `Email.header/3` will be translated to (`h:`) values that\nMailgun recognizes.","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#module-custom-headers","title":"Custom headers - ArkeServer.Swoosh.Adapters.OneSignal","type":"module"},{"doc":"","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#validate_config/1","title":"ArkeServer.Swoosh.Adapters.OneSignal.validate_config/1","type":"function"},{"doc":"","ref":"ArkeServer.Swoosh.Adapters.OneSignal.html#validate_dependency/0","title":"ArkeServer.Swoosh.Adapters.OneSignal.validate_dependency/0","type":"function"},{"doc":"Documentation for  `ArkeServer.TopologyController`.","ref":"ArkeServer.TopologyController.html","title":"ArkeServer.TopologyController","type":"module"},{"doc":"Associate a parameter to an Arke","ref":"ArkeServer.TopologyController.html#add_parameter/2","title":"ArkeServer.TopologyController.add_parameter/2","type":"function"},{"doc":"Link two unit together","ref":"ArkeServer.TopologyController.html#create_node/2","title":"ArkeServer.TopologyController.create_node/2","type":"function"},{"doc":"Delete a connection between two units","ref":"ArkeServer.TopologyController.html#delete_node/2","title":"ArkeServer.TopologyController.delete_node/2","type":"function"},{"doc":"Get the unit linked to an Arke","ref":"ArkeServer.TopologyController.html#get_node/2","title":"ArkeServer.TopologyController.get_node/2","type":"function"},{"doc":"","ref":"ArkeServer.TopologyController.html#get_node_count/2","title":"ArkeServer.TopologyController.get_node_count/2","type":"function"},{"doc":"","ref":"ArkeServer.TopologyController.html#open_api_operation/1","title":"ArkeServer.TopologyController.open_api_operation/1","type":"function"},{"doc":"Update metadata of an existing link","ref":"ArkeServer.TopologyController.html#update_node/2","title":"ArkeServer.TopologyController.update_node/2","type":"function"},{"doc":"Update an associated parameter of an Arke","ref":"ArkeServer.TopologyController.html#update_parameter/2","title":"ArkeServer.TopologyController.update_parameter/2","type":"function"},{"doc":"","ref":"ArkeServer.UnitController.html","title":"ArkeServer.UnitController","type":"module"},{"doc":"","ref":"ArkeServer.UnitController.html#open_api_operation/1","title":"ArkeServer.UnitController.open_api_operation/1","type":"function"},{"doc":"Search units","ref":"ArkeServer.UnitController.html#search/2","title":"ArkeServer.UnitController.search/2","type":"function"},{"doc":"Update an unit","ref":"ArkeServer.UnitController.html#update/2","title":"ArkeServer.UnitController.update/2","type":"function"},{"doc":"","ref":"ArkeServer.Utils.Apple.html","title":"ArkeServer.Utils.Apple","type":"module"},{"doc":"","ref":"ArkeServer.Utils.Apple.html#client_secret/1","title":"ArkeServer.Utils.Apple.client_secret/1","type":"function"},{"doc":"","ref":"ArkeServer.Utils.OneSignal.html","title":"ArkeServer.Utils.OneSignal","type":"module"},{"doc":"","ref":"ArkeServer.Utils.OneSignal.html#create_notification/2","title":"ArkeServer.Utils.OneSignal.create_notification/2","type":"function"},{"doc":"","ref":"ArkeServer.Utils.OneSignal.html#create_user/1","title":"ArkeServer.Utils.OneSignal.create_user/1","type":"function"},{"doc":"","ref":"ArkeServer.Utils.QueryFilters.html","title":"ArkeServer.Utils.QueryFilters","type":"module"},{"doc":"","ref":"ArkeServer.Utils.QueryFilters.html#apply_member_child_only/3","title":"ArkeServer.Utils.QueryFilters.apply_member_child_only/3","type":"function"},{"doc":"","ref":"ArkeServer.Utils.QueryFilters.html#apply_query_filters/2","title":"ArkeServer.Utils.QueryFilters.apply_query_filters/2","type":"function"},{"doc":"","ref":"ArkeServer.Utils.QueryFilters.html#get_from_string/2","title":"ArkeServer.Utils.QueryFilters.get_from_string/2","type":"function"},{"doc":"","ref":"ArkeServer.Utils.QueryOrder.html","title":"ArkeServer.Utils.QueryOrder","type":"module"},{"doc":"","ref":"ArkeServer.Utils.QueryOrder.html#apply_order/2","title":"ArkeServer.Utils.QueryOrder.apply_order/2","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}